TR(1)

NOM
tr - Convertir ou éliminer des caractères

SYNOPSIS
tr [OPTION]... CHAÎNE1 [CHAÎNE2]

DESCRIPTION

Convertir, compresser et/ou éliminer des caractères lus depuis l'entrée standard et les écrire sur la sortie standard. CHAÎNE1 et CHAÎNE2 indiquent des séquences de caractères ENSEMBLE1 et ENSEMBLE2 qui contrôlent l'action.

-c, -C, --complement
    utiliser le complément de l'ENSEMBLE1

-d, --delete
    éliminer les caractères de l'ENSEMBLE1, ne pas convertir

-s, --squeeze-repeats
    remplacer chaque séquence de caractères répétés qui apparaît dans le dernier ENSEMBLE indiqué par une seule occurrence de ce caractère

-t, --truncate-set1
    tronquer d'abord l'ENSEMBLE1 à la longueur de l'ENSEMBLE2

--help
    afficher l'aide-mémoire et quitter

--version
    afficher les informations de version et quitter

Les ENSEMBLEs sont indiqués sous forme de chaînes de caractères. La plupart se représentent eux-mêmes. Les séquences interprétées sont :

\NNN
    caractère ayant la valeur octale NNN (1 à 3 chiffres octaux)

\\  contre-oblique ;

\a  signal sonore (« BEL »)

\b  espace arrière

\f  saut de page (« form feed ») ;

\n  saut de ligne (« new line ») ;

\r  retour

\t  tabulation horizontale

\v  tabulation verticale

CAR1-CAR2
    tous les caractères de CAR1 à CAR2, dans l'ordre croissant

CAR*
    dans l'ENSEMBLE2, copies de CAR jusqu'à la longueur de l'ENSEMBLE1

CAR*RÉPÉTER
    RÉPÉTER copies de CAR, RÉPÉTER est en octal s’il commence par 0

[:alnum:]
    toutes les lettres et les chiffres

[:alpha:]
    toutes les lettres

[:blank:]
    tous les blancs horizontaux

[:cntrl:]
    tous les caractères de contrôle

[:digit:]
    tous les chiffres

[:graph:]
    tous les caractères imprimables, sauf les blancs

[:lower:]
    toutes les lettres minuscules

[:print:]
    tous les caractères imprimables, y compris les blancs

[:punct:]
    tous les caractères de ponctuation

[:space:]
    tous les blancs verticaux ou horizontaux

[:upper:]
    toutes les lettres majuscules

[:xdigit:]
    tous les chiffres hexadécimaux

[=CAR=]
    tous les caractères équivalents à CAR

La conversion a lieu si -d n'est pas fourni et si les deux ENSEMBLE1 et ENSEMBLE2 sont fournies en paramètres. L'option -t n'est significative que lors de la conversion. L'ENSEMBLE2 est agrandi jusqu'à la taille de l'ENSEMBLE1 par répétition de son dernier caractère si nécessaire. Les caractères en excès de l'ENSEMBLE2 sont ignorés. Les classes de caractères s'étendent dans un ordre non indiqué ; lors de la conversion, [:lower:] et [:upper:] peuvent être utilisés par paires pour indiquer une conversion de casse. La compression intervient après la conversion ou la suppression. Les arguments tels que « [...] » doivent être protégés pour éviter des traitements génériques de l'interpréteur.

BOGUES

La prise en charge n'est disponible que pour les paramètres régionaux mono-octets sûrs, où chaque octet en entrée possible représente un seul caractère. Le paramètre régional C est sûr dans les systèmes GNU, donc vous pouvez éviter ce problème dans l'interpréteur en lançant un LC_ALL=C tr au lieu d'un simple tr.

AUTEUR
Écrit par Jim Meyering.

SIGNALER DES BOGUES
Signaler toute erreur à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <https://www.gnu.org/gethelp/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/tr>
aussi disponible localement à l’aide de la commande : info '(coreutils) tr invocation'

Empaqueté par Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.